* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box;
    font-family: "Protest Riot", sans-serif;
    font-style: normal;
    font-weight: 400;
}

main{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: #00171f;
    height: 100vh;
}

.grid {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr 1fr;
}

.box {
    display: grid;
    place-items: center;
    background-color: #1f3540;
    height: 100px;
    width: 100px;
    margin: 7px;
    border-radius: 15px;
    font-size: 60px;
    cursor: pointer;
}

.button-superior{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 320px;
}

button{
    height: 50px;
    width: 50px;
    font-size: 20px;
    padding: 10px;
    background-color: #a8bec9; 
    border-radius: 15px;
    cursor: pointer;

}

#quit {
    background-color: #1f3540;
    color: white;
    width: 100px;
    height: 50px;
    border-radius: 15px;
}

#x {
    color: #31c4be;    
    font-size: 45px;

}

#o {
    color: #f2b237;
    font-size: 45px;
}
#xando{
    display: flex;
}

.grid-placar {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

.scoreboard {
    display: grid;
    place-items: center;
    text-align: center;
    font-size: 20px;
    width: 100px;
    height: 50px;
    margin: 7px;
    border-radius: 15px;
}

#placarX {
    background-color: #31c4be;
}

#placarTie {
    background-color: #a8bec9;
}

#placarO{
    background-color: #f2b237;
}

#winner, #quiter{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgb(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    display: none;
}
.local-winner, .local-quiter {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-color: rgb(27, 45, 53, 0.5);
    color: white;
    width: 100%;
    height: fit-content;
    padding: 30px 0;
    
}
#winner button {
    background-color: #f2b237;
    width: 300px;
}

.local-winner  h1, .local-quiter{
    padding: 20px 0;
}

.modo {
    color: white;
    font-size: 20px;
    display: flex;
    justify-content: space-around;
    width: 320px;
    align-items: center;
    padding-bottom: 10px;
}
 
.modo button {
    width: 100px;
}

#modoUm {
    background-color: #31c4be;
}